<style scoped>
    .standard {
      width: 100%;
      height: 100%;
    }
    .standard * {
      font-size: 14px;
    }
  
    .standard .has-gutter .el-table__cell {
      background-color: #F0F1F5 !important;
      color: #333;
    }
  
    .standard .has-gutter .el-table__cell .cell {
      font-size: 16px;
      font-weight: 500;
    }
  
    .standard .cell {
      color: #333;
      padding-left: 17px !important;
    }
  
    .standard {
      width: 100%;
      height: 100%;
      overflow: auto;
    }
  
    /* .standard .el-table__body-wrapper {
      height: 100%;
    } */
  
    /* .standard .el-table__body {
      height: 100%;
    } */
    .standard .el-table .el-table__row:not([class*="el-table__row--level-"]) td:nth-child(3){
      padding-left: 23px !important;
     }
</style>
<template>
    <div class="standard">
        <el-table ref="multipleTable" :data="tableData" row-key="rowId" border max-height="675"
        @select-all="selectAll" @select="selectTr" 
        @selection-change="handleSelectionChange" default-expand-all
        :tree-props="{children: 'children', hasChildren: 'hasChildren'}">
        <el-table-column type="selection" width="55"></el-table-column>
        <el-table-column type="index" width="60" label="序号"></el-table-column>
        <el-table-column prop="father" label="工序">
            <template slot-scope="scope">
                <el-tag type="primary" v-if="scope.row.father != null">01</el-tag>
                <span>{{scope.row.father}}</span>
            </template>
        </el-table-column>
        <el-table-column prop="name" label="工艺名称">
            <template slot-scope="scope">
                <el-tag type="success" v-if="scope.row.name != null">02</el-tag>
                <span>{{scope.row.name}}</span>
            </template>  
        </el-table-column>
        <el-table-column prop="device" label="设备名称">
            <template slot-scope="scope">
                <el-tag type="info" color="#faf2ff" v-if="scope.row.device != null">
                    <span style="color: #e1affb">03</span>
                </el-tag>
                <span>{{scope.row.device}}</span>
            </template>
        </el-table-column>
        <el-table-column prop="productFather" label="项目"></el-table-column>
        <el-table-column prop="unit" label="单位"></el-table-column>
        <el-table-column prop="product" label="指标"></el-table-column>
        </el-table>
    </div>
</template>
<script>
export default ({
    data() {
        
    },
    props:['tableData','tableType'],
    methods:{
        // 表格树全部选中配置
      // 全选/取消选操作
      selectAll(val) {
        this.isAllSelect = !this.isAllSelect;
        let data = this.tableData;
        this.toggleSelect(data, this.isAllSelect, "all");
      },
      //选择某行
		  selectTr(selection, row) {
        this.$set(row, "isChecked", !row.isChecked);
        this.$nextTick(() => {
          this.isAllSelect = row.isChecked;
          this.toggleSelect(row, row.isChecked, "tr");
        });
      },
      //递归子级
      toggleSelect(data, flag, type) {
        if (type === "all") {
          if (data.length > 0) {
            data.forEach((item) => {
              this.toggleSelection(item, flag);
              if (item.children && item.children.length > 0) {
                this.toggleSelect(item.children, flag, type);
              }
            });
          }
        } else {
          if (data.children && data.children.length > 0) {
            data.children.forEach((item) => {
              item.isChecked = !item.isChecked;
              this.$refs.multipleTable.toggleRowSelection(item, flag);
              this.toggleSelect(item, flag, type);
            });
          }
        }
      },
      handleSelectionChange(val) {
        this.deleteList = [];
        val.forEach((v) => {
          if (v.id !== undefined) {
            this.deleteList.push(v.id);
          }
        });
      },
      // 表格树全部选中配置  结束
    }
})
</script>
